Package org.eclipse.ecf.filetransfer

## Class IncomingFileTransferException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.core.runtime.CoreException
      - - org.eclipse.ecf.core.util.ECFException
        - - org.eclipse.ecf.filetransfer.IncomingFileTransferException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `InvalidFileRangeSpecificationException`

    public class IncomingFileTransferException
    extends ECFException

Exception thrown upon incoming file transfer problem

See Also:
  Serialized Form

### Constructor Summary

Constructors
`IncomingFileTransferException()`
`IncomingFileTransferException​(int errorCode)`
`IncomingFileTransferException​(String message)`
`IncomingFileTransferException​(String message, int errorCode)`
`IncomingFileTransferException​(String message, int errorCode, Map responseHeaders)`
`IncomingFileTransferException​(String message, Throwable cause)`
`IncomingFileTransferException​(String message, Throwable cause, int errorCode)`
`IncomingFileTransferException​(String message, Throwable cause, int errorCode, Map responseHeaders)`
`IncomingFileTransferException​(Throwable cause)`
`IncomingFileTransferException​(Throwable cause, int errorCode)`
`IncomingFileTransferException​(Throwable cause, int errorCode, Map responseHeaders)`
`IncomingFileTransferException​(org.eclipse.core.runtime.IStatus status)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getErrorCode()`
`Map` `getResponseHeaders()`

### Methods inherited from class org.eclipse.core.runtime.CoreException

`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IncomingFileTransferException

    public IncomingFileTransferException​(org.eclipse.core.runtime.IStatus status)

#### IncomingFileTransferException

    public IncomingFileTransferException()

#### IncomingFileTransferException

    public IncomingFileTransferException​(int errorCode)

#### IncomingFileTransferException

    public IncomingFileTransferException​(String message)

#### IncomingFileTransferException

    public IncomingFileTransferException​(String message,
                                         int errorCode)

#### IncomingFileTransferException

    public IncomingFileTransferException​(Throwable cause)

#### IncomingFileTransferException

    public IncomingFileTransferException​(Throwable cause,
                                         int errorCode)

#### IncomingFileTransferException

    public IncomingFileTransferException​(String message,
                                         Throwable cause)

#### IncomingFileTransferException

    public IncomingFileTransferException​(String message,
                                         Throwable cause,
                                         int errorCode)

#### IncomingFileTransferException

    public IncomingFileTransferException​(String message,
                                         Throwable cause,
                                         int errorCode,
                                         Map responseHeaders)

Parameters:
  `message` - message
  `cause` - cause
  `errorCode` - errorCode
  `responseHeaders` - responseHeaders
Since:
  4.0

#### IncomingFileTransferException

    public IncomingFileTransferException​(String message,
                                         int errorCode,
                                         Map responseHeaders)

Parameters:
  `message` - message
  `errorCode` - errorCode
  `responseHeaders` - responseHeaders
Since:
  4.0

#### IncomingFileTransferException

    public IncomingFileTransferException​(Throwable cause,
                                         int errorCode,
                                         Map responseHeaders)

Parameters:
  `cause` - cause
  `errorCode` - errorCode
  `responseHeaders` - responseHeaders
Since:
  4.0

### Method Detail

#### getErrorCode

    public int getErrorCode()

#### getResponseHeaders

    public Map getResponseHeaders()

Returns:
  Map response headers
Since:
  4.0